Bug 485472 - cjkunifonts-uming breaks fontforge
cjkunifonts-uming breaks fontforge
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: cjkunifonts (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Caius Chance
Fedora Extras Quality Assurance
: i18n, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 12:32 EST by Dwayne Bailey
Modified: 2009-05-04 21:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-04 21:01:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error output from fontforge run (8.94 KB, text/plain)
2009-02-17 00:38 EST, Dwayne Bailey
no flags Details

  None (edit)
Description Dwayne Bailey 2009-02-13 12:32:03 EST
Description of problem:
cjkunifonts breaks fontforge operation.


Steps to Reproduce:
1. yum groupinstall Fonts - ensures we have a standard font install
2. fontforge - breaks
3. yum remove cjkunifonts-uming
4. fontforge - words
  
Actual results:
When crashing we get a message like this:
Help! Server claimed font
        -some font file name (I can't remember it)
 existed in the font list, but when I asked for it there was nothing.
 I may crash soon.
 Segmentation fault


Expected results:
fontforge works regardless of whether these fonts are installed.

Additional info:
A similar problem was reported in bug 450709 against xorg-x11-fonts-Type1 fonts
Comment 1 Caius Chance 2009-02-16 10:46:01 EST
Not reproducible in latest yum update:

cjkunifonts-uming-0.2.20080216.1-10.fc10.noarch
fontforge-20080828-1.fc10.i386
Comment 2 Caius Chance 2009-02-16 23:13:16 EST
Hi Dwayne, is that still reproducible?
Comment 3 Dwayne Bailey 2009-02-17 00:34:33 EST
# confirmed that cjkunifonts-uming is not installed
rpm -qa | grep cjk

# confirmed fontforge works
fontforge

# Install default fonts - only cjkunifonts-uming missing and installed
yum groupinstall Fonts

# Check fontforge
fontforge

Results:
Still broken...

Error message:
I'll past it as a comment
Comment 4 Dwayne Bailey 2009-02-17 00:38:15 EST
Created attachment 332176 [details]
Error output from fontforge run

fontforge > errors.log 2>&1
Comment 5 Dwayne Bailey 2009-02-17 00:41:34 EST
Just for clarity...

yum installed the following:

Installing:
 cjkunifonts-uming     noarch     0.2.20080216.1-10.fc10      updates      10 M


And the Fontforge version was:

[heather@localhost ~]$ rpm -qa | grep fontforge
fontforge-20080828-1.fc10.i386
Comment 6 Caius Chance 2009-05-04 21:01:30 EDT
Tested with today's rawhide and the bug is not reproducible:

$ uname -a
Linux xxxx.xxxx.xxxx.xxxx 2.6.29-0.237.rc7.git4.fc11.i586 #1 SMP Wed Mar 11 18:55:21 EDT 2009 i686 athlon i386 GNU/Linux

$ rpm -q fontforge
fontforge-20090224-2.fc11.i586

$ rpm -qa | grep cjkuni-fonts
cjkuni-fonts-common-0.2.20080216.1-23.fc11.noarch
cjkuni-fonts-ghostscript-0.2.20080216.1-23.fc11.noarch
Comment 7 Caius Chance 2009-05-04 21:06:10 EDT
Tested with updated F10 and the bug is not reproducible:

$ uname -a
Linux xxxx.xxxx.xxxx.xxxx 2.6.27.21-170.2.56.fc10.i686 #1 SMP Mon Mar 23 23:37:54 EDT 2009 i686 i686 i386 GNU/Linux

$ rpm -q fontforge
fontforge-20080828-1.fc10.i386

$ rpm -qa |grep cjkuni
cjkunifonts-uming-0.2.20080216.1-11.fc10.noarch
cjkunifonts-ukai-0.2.20080216.1-11.fc10.noarch

Note You need to log in before you can comment on or make changes to this bug.